.product--row{
    position: relative;
    width: calc(100%);
    height: 7.5rem;
    background-color: transparent;
    border-radius: 1rem;
    /* background-color: blue; */
    /* margin-bottom: 1rem; */
    /* left: 1rem; */
}

.product--row__button{
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    background-color: transparent;
}
.product-list--container{
    position: absolute;
    width: calc(100%);
    height: calc(100% - 3rem);
    background-color: transparent;
    border-radius: 1rem;
    overflow-x: hidden;
    overflow-y: scroll;
    top: 3rem;
}
.product-list--columnnames{
    position: absolute;
    width: calc(100% - 2rem);
    line-height: 2rem;
    left: 1rem;
}
.container--actions{
    position: absolute;
    width: calc(100% - 2rem);
    line-height: 3rem;
    left: 1rem;
}
.products__action-input{
    position: relative;
    width: calc(100% - 6rem);
    background-color: var(--color-darken);
    height: 3rem;
    border-radius: 1rem;
    border: none;
    margin: 0;
    outline: none;
    padding-left: 1rem;
    padding-right: 1rem;
    overflow-x: scroll;
    
}

.products__action-button{
    position: relative;

}
.products__action-button--right{
    position: relative;
    float: right;
    box-sizing: border-box;
    margin: 0;
    border-radius: 1rem;
    /* right: 1rem; */
    /* top: 1rem; */
    font-size: var(--font-size-button-medium);
    line-height: var(--font-size-button-medium);
}
.columnname{
    position: relative;
    float: right;
    width: calc((100% - 6.5rem)/3);
    display: flex;
    justify-content: center;
}
.columnname--wide{
    position: relative;
    float: left;
    width: min-content;
    /* max-width: calc(20rem); */
}
.product--image{
    position: absolute;
    height: calc(7.5rem - 2rem);
    width: calc(7.5rem - 2rem);
    top: 1rem;
    border-radius: 1rem;
    object-fit: contain;
    background-color: white;
    left: 1rem;
    padding: 0.2rem;
    box-sizing: border-box;
}
.product--title{
    display: none;
    position: absolute;
    top: 0rem;
    text-align: center;
    height: 7.5rem;
    left: 7.5rem;
    width: calc(55% - 7.5rem);
    color: var(--color-theme);
    max-width: calc(55% - 6.5rem);
    height: min-content;
    margin: 0;
    top: 50%;
    transform: translateY(-50%);
}
.product--abrev{
    position: absolute;
    top: 0rem;
    text-align: center;
    width: calc((100% - 8.5rem)/3);
    color: var(--color-theme);
    left: 7.5rem;
    height: min-content;
    margin: 0;
    top: 50%;
    transform: translateY(-50%);
}
.product--price{
    position: absolute;
    top: 0rem;
    text-align: center;
    width: calc((100% - 8.5rem)/3);
    color: var(--color-theme);
    left: calc((100% - 8.5rem)/3 + 7.5rem);
    height: min-content;
    margin: 0;
    top: 50%;
    transform: translateY(-50%);
}
.product--stock{
    position: absolute;
    top: 0rem;
    text-align: center;
    width: calc((100% - 8.5rem)/3);
    color: var(--color-theme);
    left: calc((100% - 8.5rem)/3*2 + 7.5rem);
    height: min-content;
    margin: 0;
    top: 50%;
    transform: translateY(-50%);
}
.product-list--container::-webkit-scrollbar { 
    display: none; 
} 
.product--container{
    position: absolute;
    display: none;
    pointer-events: none;
    border-radius: 1rem;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    overflow-x: hidden; 
    overflow-y: scroll;
    background-color: var(--color-main);
}
.product--container::-webkit-scrollbar { 
    display: none; 
} 
.carousel--container{
    position: relative;
    top: 0;
    left: 0;
    width: 100%;
    max-width: 100%;
    height: 20rem;
    max-height: 20rem;
    /* border-radius: 1rem 1rem 0rem 0rem; */
    overflow-y: hidden;
    overflow-x: scroll;
}
.carousel--container::-webkit-scrollbar { 
    display: none; 
}
.carousel{
    position: relative;
    width: max-content;
    max-width: max-content;
    height: 20rem;
    max-height: 20rem;
}
.product-image-20{
    position: relative;
    height: 20rem;
    width: 20rem;
    top: 0rem;
    object-fit:contain;
    left: 0rem;
    margin: 0;
    float: left;
    background-color: white;
    /* display: inline-block;
    white-space: nowrap; */
}
.product-image-20--button{
    position: relative;
    height: 20rem;
    line-height: 20rem;
    text-align: center;
    width: 20rem;
    top: 0rem;
    object-fit:contain;
    left: 0rem;
    margin: 0;
    float: left;
    background-color: transparent;
    color: var(--color-theme);
    font-size: var(--font-size-button-xlarge);
    /* display: inline-block;
    white-space: nowrap; */
}
.product--info{
    position: absolute;
    width: calc(100%);
    height: calc(100%);
    border-radius: 1rem;
    /* margin-top: 1rem; */
    /* left: 1rem; */
}
.button--add-product{
    position:fixed;
    right: 2rem;
    bottom: 2rem;
    width: fit-content;
    height: fit-content;
    border-radius: 1rem;
    text-shadow: 0rem 0rem 4rem black;
}
.product__info--value{
    outline: none !important;
}
.products-button__centered--large{
    position: relative;
    left: 50%;
    transform: translate(-50%,0);
    box-sizing: border-box;
    margin: 0;
    margin-top: 1rem;
    border-radius: calc(var(--font-size-button-xlarge)/2);
    /* right: 1rem; */
    /* top: 1rem; */
    font-size: var(--font-size-button-xlarge);
    line-height: var(--font-size-button-xlarge);
}
.products-button--wide{
    position: relative;
    width: 100%;
    background-color: darkred;
    border-radius: 1rem;
    height: 4rem;
    line-height: 4rem;
    text-align: center;
    margin-top: 1rem;
    margin-bottom: 1rem;
}
.products-image--view{
    position: relative;
    width: 100%;
    background-color: transparent;
}
/* .product--info__key{

}
.product--info__value{

} */
@media only screen and (min-width: 1500px) {
    .products-button--wide{
        position: relative;
        width: calc(100% - 2rem);
        left: 1rem;
        background-color: darkred;
        border-radius: 1rem;
        height: 4rem;
        line-height: 4rem;
        text-align: center;
        margin-top: 1rem;
        margin-bottom: 1rem;
    }
    .button--add-product{
        position:fixed;
        left: 55rem;
        bottom: 2rem;
        width: fit-content;
        height: fit-content;
        border-radius: 1rem;
    }
    .product--row:hover{
        position: relative;
        width: calc(100%);
        height: 7.5rem;
        background-color: rgba(0, 0, 0, 0.15);
        /* transition: background-color ease-in-out 150ms; */
        border-radius: 1rem;
        cursor: pointer;
        /* margin-bottom: 1rem; */
        /* left: 1rem; */
    }
    .product-list--columnnames{
        position: absolute;
        width: calc(100% - 55rem);
        line-height: 2rem;
        left: 2rem;
    }
    .container--actions{
        position: absolute;
        width: calc(100% - 54rem);
        left: 1rem;
        height: 2rem;
        padding: 0;
    }
    .products__action-input{
        position: relative;
        width: 15rem;
        background-color: var(--color-darken);
        height: 2rem;
        border-radius: 1rem;
        border: none;
        margin: 0;
        outline: none;
        padding-left: 1rem;
        padding-right: 1rem;
        overflow-x: scroll;
    }
    .products__action-button--right{
        position: relative;
        float: right;
        box-sizing: border-box;
        margin: 0;
        border-radius: 1rem;
        font-size: var(--font-size-button-small);
        line-height: var(--font-size-button-small);
    }
    .product-list--container{
        position: absolute;
        top: 3rem;
        width: calc(100% - 54rem);
        height: calc(100% - 4rem);
        background-color: transparent;
        border-radius: 1rem;
        left: 1rem;
        overflow-x: hidden;
        overflow-y: scroll;
    }
    .product-list--container::-webkit-scrollbar { 
        display: none; 
    }
    .product--container{
        display: block;
        pointer-events: all;
        border-radius: 1rem;
        position: absolute;
        width: calc(51rem);
        height: calc(100% - 1rem);
        right: 1rem;
        left: unset;
        top: unset;
        background-color: var(--color-darken);
        /* overflow: hidden; */
        overflow-y: scroll;
        overflow-x: hidden;
    } 
    .product--container::-webkit-scrollbar { 
        display: none; 
    }
    
    .product--image{
        position: absolute;
        height: calc(7.5rem - 2rem);
        width: calc(7.5rem - 2rem);
        top: 50%;
        left: 1rem;
        transform: translateY(-50%);
        border-radius: 0.5rem;
        object-fit: contain;
        background-color: white;
        padding: 0.2rem;
        box-sizing: border-box;
    }
    .product--title{
        display: inline-block;
        position: absolute;
        top: 0rem;
        text-align: center;
        height: 7.5rem;
        left: 7.5rem;
        width: calc(55% - 7.5rem);
        color: var(--color-theme);
        max-width: calc(55% - 6.5rem);
        height: min-content;
        margin: 0;
        top: 50%;
        transform: translateY(-50%);
    }
    .product--abrev{
        position: absolute;
        top: 0rem;
        text-align: center;
        width: calc(15%);
        color: var(--color-theme);
        left: calc(100% - 45%);
        height: min-content;
        margin: 0;
        top: 50%;
        transform: translateY(-50%);
    }
    .product--price{
        position: absolute;
        top: 0rem;
        text-align: center;
        width: calc(15%);
        color: var(--color-theme);
        left: calc(100% - 30%);
        height: min-content;
        margin: 0;
        top: 50%;
        transform: translateY(-50%);
    }
    .product--stock{
        position: absolute;
        top: 0rem;
        text-align: center;
        width: calc(15%);
        color: var(--color-theme);
        left: calc(100% - 15%);
        height: min-content;
        margin: 0;
        top: 50%;
        transform: translateY(-50%);
    }
    .columnname{
        position: relative;
        float: right;
        width: 15.5%;
    }
    .columnname--wide{
        position: relative;
        float: left;
        width: 52%;
    }
    .carousel--container{
        position: relative;
        top: 0;
        left: 0;
        width: 100%;
        max-width: 100%;
        height: 20rem;
        max-height: 20rem;
        border-radius: 1rem 1rem 0rem 0rem;
        overflow-y: hidden;
        overflow-x: scroll;

        /* background-color: rgba(137, 43, 226, 0.2); */
    }
  }